/**
 *  PhoneCall - calculate cost of phone call given start-end time, rate
 *
 *	Input: start time (hour and min) based on 24 hour clock
 *         end time (hour and min) 
 *         per min rate
 *         phone from where call was made
 *         phone to where the call was made
 *         
 *   Output: a summary of call, that includes
 *   		duration (in min) and cost in dollars of the call 
 */
import java.util.Scanner;

public class PhoneCall {

	public static void main(String[] args) {
	 
			//1.  Get input  - will be added later
		
			System.out.println("THis program computes "
					+ "the cost and duration of phone call");

			// create a Scanner object to read input from keyboard
			Scanner kb = new Scanner (System.in);
			
			
			System.out.print("Please enter the hour and minute"
					+ " of the start of the phone call: ");		
			int hourStart = kb.nextInt(), 
			    minuteStart =  kb.nextInt();
			
			//System.out.println( "hourStart = " + hourStart + " minstart = " + minuteStart );
			
			System.out.print("Please enter the hour and minute"
					+ " of the end of the phone call: ");	
			int hourEnd = kb.nextInt(), 
				minEnd = kb.nextInt();
			
			System.out.print("Please enter the per-minute cost of the call: ");
			double perMinRate = kb.nextDouble();
			System.out.print("Please enter phone-from: ");
			String phoneFrom =  kb.next();
			System.out.print(" Now enter phone-to");
			String	phoneTo  = kb.next();
			
		
			//2 Computation:
			//   2.1  compute duration of the call
			//       convert start and end time to minutes-only : 
			// 					minutes = h *60 + m

			// start and end time in minutes:
			int startTimeInMinutes = 60*hourStart + minuteStart;
			int endTimeInMinutes = 60*hourEnd + minEnd;			
			int	duration  =  endTimeInMinutes - startTimeInMinutes;
	
			System.out.println(" starttime = " + startTimeInMinutes + 
					" endtime " + endTimeInMinutes + " duration = " + duration);
						
			// 
			double cost =  perMinRate * duration;		
			int durH = duration/60;
			int durM = duration%60;
			
		  // 3. Display output as required
			System.out.println("From:" + phoneFrom + " To: " + phoneTo +
					" Duration " + durH + " hours " + durM + " minutes.");
			System.out.println("Rate: $" + perMinRate + " Cost: $" + cost);
	
	
	
	
	
	}

}
